Package org.wso2.carbon.viewflows.stub.types

## Class PhaseData

- java.lang.Object
- - org.wso2.carbon.viewflows.stub.types.PhaseData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class PhaseData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  PhaseData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PhaseData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected HandlerData[]` | `localHandlers` | field for Handlers This was an Array!
    `protected boolean` | `localHandlersTracker` |
    `protected boolean` | `localIsGlobalPhase` | field for IsGlobalPhase
    `protected boolean` | `localIsGlobalPhaseTracker` |
    `protected String` | `localName` | field for Name
    `protected boolean` | `localNameTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhaseData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHandlers​(HandlerData param)` | Auto generated add method for the array for convenience
    `HandlerData[]` | `getHandlers()` | Auto generated getter method
    `boolean` | `getIsGlobalPhase()` | Auto generated getter method
    `String` | `getName()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isHandlersSpecified()` |
    `boolean` | `isIsGlobalPhaseSpecified()` |
    `boolean` | `isNameSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setHandlers​(HandlerData[] param)` | Auto generated setter method
    `void` | `setIsGlobalPhase​(boolean param)` | Auto generated setter method
    `void` | `setName​(String param)` | Auto generated setter method
    `protected void` | `validateHandlers​(HandlerData[] param)` | validate the array for Handlers

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localHandlers

          protected HandlerData[] localHandlers

      field for Handlers This was an Array!

    - #### localHandlersTracker

          protected boolean localHandlersTracker

    - #### localIsGlobalPhase

          protected boolean localIsGlobalPhase

      field for IsGlobalPhase

    - #### localIsGlobalPhaseTracker

          protected boolean localIsGlobalPhaseTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

  - ### Constructor Detail

    - #### PhaseData

          public PhaseData()

  - ### Method Detail

    - #### isHandlersSpecified

          public boolean isHandlersSpecified()

    - #### getHandlers

          public HandlerData[] getHandlers()

      Auto generated getter method
      Returns:
        org.wso2.carbon.viewflows.stub.types.HandlerData[]

    - #### validateHandlers

          protected void validateHandlers​(HandlerData[] param)

      validate the array for Handlers

    - #### setHandlers

          public void setHandlers​(HandlerData[] param)

      Auto generated setter method
      Parameters:
        `param` - Handlers

    - #### addHandlers

          public void addHandlers​(HandlerData param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.viewflows.stub.types.HandlerData

    - #### isIsGlobalPhaseSpecified

          public boolean isIsGlobalPhaseSpecified()

    - #### getIsGlobalPhase

          public boolean getIsGlobalPhase()

      Auto generated getter method
      Returns:
        boolean

    - #### setIsGlobalPhase

          public void setIsGlobalPhase​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - IsGlobalPhase

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName​(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`